%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif


Name:           ufl-python
Version:        0.1
Release:        0.3.pre%{?dist}
Summary:        A Python implementation of Universal Foundation Libraries

Group:          Development/Languages
License:        GPLv3
URL:            http://pypi.python.org/pypi/ufl-python
Source0:        http://pypi.python.org/packages/source/u/%{name}/%{name}-%{version}-pre.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools


%description
A Python implementation of Universal Foundation Libraries: language
agnostic, general purpose standard library extensions.


%prep
%setup -q -n %{name}-%{version}-pre


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/ufl/
%{python_sitelib}/ufl*.egg-info


%changelog
* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.3.pre
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Sep 02 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.1-0.2.pre
- 

* Sat Mar 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.1-0.1.pre
- Initial package
